Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast.naive
Class NaiveForecaster

    java.lang.Object
      kieker.tools.tslib.forecast.AbstractForecaster<Double>
          kieker.tools.tslib.forecast.AbstractRForecaster
              kieker.tools.tslib.forecast.naive.NaiveForecaster

All Implemented Interfaces:
  IForecaster<Double>

    public class NaiveForecaster

extends AbstractRForecaster

This is one of the forecasters used in the research paper on Self-adaptive workload classification and forecasting for proactive resource provisioning (http://dx.doi.org/10.1002/cpe.3224), authored by Herbst et al.

Since:
  1.10
Author:
  Nikolas Herbst The naïve forecast considers only the value of the most recent observation assuming that this value has the highest probability for the next forecast point. Horizon: very short term forecast (1-2 points) Overhead: nearly none O(1)

Constructor Summary
`NaiveForecaster(ITimeSeries<Double> historyTimeseries)`
`NaiveForecaster(ITimeSeries<Double> historyTimeseries, int confidenceLevel)`

Method Summary

Methods inherited from class kieker.tools.tslib.forecast.AbstractRForecaster
`forecast, removeNullValues`

Methods inherited from class kieker.tools.tslib.forecast.AbstractForecaster
`getConfidenceLevel, getTsOriginal`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NaiveForecaster

    public NaiveForecaster(ITimeSeries<Double> historyTimeseries)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo

### NaiveForecaster

    public NaiveForecaster(ITimeSeries<Double> historyTimeseries,
                           int confidenceLevel)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo
  `confidenceLevel` - value of confidence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net